%define offo_version  2.0
Summary:        XSL-driven print formatter
Name:           fop
Version:        1.0
Release:        %mkrel 5
License:        ASL 2.0
Group:          Development/Java 
Source0:        http://www.apache.org/dist/xmlgraphics/fop/source/%{name}-%{version}-src.tar.gz
# added new avalon-framework in classpath
Source1:        %{name}-01.script
Source2:        fop-OSGi-MANIFEST.MF
Source3:        http://mirrors.ibiblio.org/pub/mirrors/maven2/org/apache/xmlgraphics/fop/%{version}/fop-%{version}.pom
Source4:        http://sourceforge.net/projects/offo/files/offo-hyphenation/%{offo_version}/offo-hyphenation_v%{offo_version}.zip
Source5:        https://repository.jboss.org/nexus/content/groups/public/net/sf/offo/fop-hyph/%{offo_version}/fop-hyph-%{offo_version}.pom
Patch0:         fop-1.0-manifest.patch
Patch1:         %{name}-main.patch
URL:            http://xmlgraphics.apache.org/fop

Requires:       xmlgraphics-commons >= 1.2
Requires:       avalon-framework >= 4.1.4
Requires:       batik >= 1.7
Requires:       xalan-j2 >= 2.7.0
Requires:       xml-commons-apis >= 1.3.04
Requires:       jakarta-commons-httpclient
Requires:       apache-commons-io >= 1.2
Requires:       jakarta-commons-logging >= 1.0.4
Requires:       java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils

BuildRequires:  ant
BuildRequires:  ant-trax
BuildRequires:  apache-commons-io
BuildRequires:  apache-commons-logging
BuildRequires:  avalon-framework
BuildRequires:  batik
BuildRequires:  java-devel >= 1.6.0
BuildRequires:  objectweb-asm
BuildRequires:  qdox
BuildRequires:  servlet25 
BuildRequires:  xml-commons-apis 
BuildRequires:  xmlgraphics-commons
BuildRequires:  xmlunit
BuildRequires:  zip
#BuildRequires:  java-1.6.0-openjdk-javadoc
BuildArch:      noarch


%description
FOP is the world's first print formatter driven by XSL formatting
objects. It is a Java application that reads a formatting object tree
and then turns it into a PDF document. The formatting object tree, can
be in the form of an XML document (output by an XSLT engine like XT or
Xalan) or can be passed in memory as a DOM Document or (in the case of
XT) SAX events.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java 

%description    javadoc
Javadoc for %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p0

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

sed -i -e "s|1.4|1.5|g" build.xml

# https://issues.apache.org/bugzilla/show_bug.cgi?id=50575
ln -s %{_javadir}/qdox.jar lib/build/qdox.jar

unzip -q %SOURCE4
mv offo-hyphenation/hyph/*.xml hyph

%build

export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath apache-commons-logging apache-commons-io xmlgraphics-commons batik-all)
CLASSPATH=$CLASSPATH:$(build-classpath avalon-framework-api avalon-framework-impl servlet batik/batik-svg-dom)
CLASSPATH=$CLASSPATH:$(build-classpath xml-commons-apis xml-commons-apis-ext objectweb-asm/asm-all xmlunit)
ant clean jar-main transcoder-pkg jar-hyphenation javadocs

%install

# inject OSGi manifests
mkdir -p META-INF
cp -p %{SOURCE2} META-INF/MANIFEST.MF
touch META-INF/MANIFEST.MF
zip -u build/%{name}.jar META-INF/MANIFEST.MF

# jars
mkdir -p %{buildroot}%{_javadir}
cp -p build/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
cp -p build/%{name}-transcoder.jar %{buildroot}%{_javadir}/pdf-transcoder.jar
cp -p build/%{name}-hyph.jar %{buildroot}%{_javadir}/%{name}-hyph.jar
pushd %{buildroot}%{_javadir}
for jar in *-%{version}*
do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
done
popd

# script
mkdir -p %{buildroot}%{_bindir}
cp -p %{SOURCE1} %{buildroot}%{_bindir}/fop

# data
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr conf %{buildroot}%{_datadir}/%{name}

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/javadocs/* %{buildroot}%{_javadocdir}/%{name}

mkdir -p %{buildroot}%{_mavenpomdir}
cp -p %{SOURCE3} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

cp -p %{SOURCE5} %{buildroot}%{_mavenpomdir}/JPP-%{name}-hyph.pom
%add_maven_depmap JPP-%{name}-hyph.pom %{name}-hyph.jar

%files
%doc LICENSE README NOTICE
%{_javadir}/%{name}*.jar
%{_datadir}/%{name}
%{_javadir}/pdf-transcoder.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%attr(0755,root,root) %{_bindir}/fop

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%doc %{_javadocdir}/%{name}
%doc LICENSE


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.0-5.mga3
+ Revision: 350774
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 16 2012 dmorgan <dmorgan> 1.0-4.mga3
+ Revision: 271303
- Fix jakarta-commons-io deps to apache-commons-io

* Sat Mar 24 2012 gil <gil> 1.0-3.mga3
+ Revision: 226074
- correct depmap
- build fix added fop-hyph pom

* Thu Sep 29 2011 gil <gil> 1.0-2.mga2
+ Revision: 150328
- * rebuilt with system libraries and remove all bundled jars and classes
  * update manifest patch(0)
  * added OSGi manifest to unbreak Eclipse stack
  * added m2 pom
  * update offo hyphenation source package
  * added more BuildRequires
  * added workaround for bug/zilla id 50575
  * added %%pre javadoc script

* Thu Sep 29 2011 shlomif <shlomif> 1.0-1.mga2
+ Revision: 150263
- New 1.0 version

  + gil <gil>
    - added offo hyphenation support
    - edit fop script added new avalon-framework in classpath

  + dmorgan <dmorgan>
    - Requires java instead of openjdk 1.6.0 ( mga #2515)

* Thu Apr 28 2011 dmorgan <dmorgan> 0.95-8.mga1
+ Revision: 92513
- Add zip as buildrequires
- Rebuild after bootstrapping
- imported package fop

